Problems with compile to ubuntu

Known Issues and Problems with BCI2000
Post Reply
Aphina
Posts: 4
Joined: 11 Feb 2015, 03:30

Problems with compile to ubuntu

Post by Aphina » 11 Feb 2015, 04:21

I try compile BCI2000 from source code, but have some problems. When I use make in folder build ZI get a lot of error:
[ 1%] Building CXX object CMakeFiles/frameworks/LibTiny/CMakeFiles/LibTiny.dir/home/sad/Загрузки/ЭЭГ/Проги/BCI2000src/src/shared/utils/Lib/Lockable.cpp.o
In file included from /home/sad/Загрузки/ЭЭГ/Проги/BCI2000src/src/shared/utils/Lib/Synchronized.h:30:0,
from /home/sad/Загрузки/ЭЭГ/Проги/BCI2000src/src/shared/utils/Lib/SpinLock.h:31,
from /home/sad/Загрузки/ЭЭГ/Проги/BCI2000src/src/shared/utils/Lib/Lockable.h:38,
from /home/sad/Загрузки/ЭЭГ/Проги/BCI2000src/src/shared/utils/Lib/Lockable.cpp:26:
/home/sad/Загрузки/ЭЭГ/Проги/BCI2000src/src/shared/utils/Lib/Atomic.h:302:53: ошибка: «void* Tiny::Atomic_::Exchange(void* volatile&, void*)» следовало объявить внутри «Tiny::Atomic_»
/home/sad/Загрузки/ЭЭГ/Проги/BCI2000src/src/shared/utils/Lib/Atomic.h:308:77: ошибка: «void* Tiny::Atomic_::CompareExchange(void* volatile&, void*, void*)» следовало объявить внутри «Tiny::Atomic_»
In file included from /home/sad/Загрузки/ЭЭГ/Проги/BCI2000src/src/shared/utils/Lib/SpinLock.h:31:0,
That's not all - it's too many error. I'm not really good with linux, so, I guess, I probably do something wrong.

pbrunner
Posts: 344
Joined: 17 Sep 2010, 12:43

Re: Problems with compile to ubuntu

Post by pbrunner » 11 Feb 2015, 08:31

Aphina,

can you please provide a few more details on your configuration, i.e., Version of Ubuntu and SVN path to BCI2000 that you have used? We cannot promise you a quick fix, but we want to ensure that the next release of BCI2000 (v3.6) [1] will compile on Linux.

In the meantime, would running BCI2000 on Windows suite your application scenario? If you could explain what you would like to accomplish, we can provide you with some advise on how to utilize BCI2000 for this purpose.

Regards, Peter

[1] http://www.bci2000.org/tracproj

Aphina
Posts: 4
Joined: 11 Feb 2015, 03:30

Re: Problems with compile to ubuntu

Post by Aphina » 11 Feb 2015, 09:00

Ubuntu 12.04, SVN path /home/sad/Загрузки/ЭЭГ/Проги/BCI2000src, cmake 3.1 and qt 4.8. Would be very grateful for your help.

pbrunner
Posts: 344
Joined: 17 Sep 2010, 12:43

Re: Problems with compile to ubuntu

Post by pbrunner » 11 Feb 2015, 09:59

Aphina,

one more question, which of the two SVN branches did you check out:

http://www.bci2000.org/svn/tags/releases/current/
http://www.bci2000.org/svn/trunk

Regards, Peter

pbrunner
Posts: 344
Joined: 17 Sep 2010, 12:43

Re: Problems with compile to ubuntu

Post by pbrunner » 11 Feb 2015, 10:21

Aphina,

I could reproduce the issue which is related to LibTiny. This issue has been reported [1] and will be fixed in BCI2000 v3.6 after the binary release for Windows platforms.

In the meantime, I can refer you to the Windows version of BCI2000. As a side note, as many EEG device manufacturers have not released any linux drivers, the Linux version of BCI2000 will only work a limited number of acquisition devices, mostly those that interface over TCP/UDP.

Regards, Peter

[1] http://www.bci2000.org/tracproj/ticket/139

Aphina
Posts: 4
Joined: 11 Feb 2015, 03:30

Re: Problems with compile to ubuntu

Post by Aphina » 11 Feb 2015, 10:30

I have emotiv headset with linux rexearch sdk. So I need linux version of BCI2000.

pbrunner
Posts: 344
Joined: 17 Sep 2010, 12:43

Re: Problems with compile to ubuntu

Post by pbrunner » 11 Feb 2015, 11:08

Aphina,

if you have purchased the Emotive Research SDK, you should have access to the Windows drivers/sdk. The Emotiv headset should work out of the box with BCI2000 to acquire EEG signals, after installing the drivers/sdk (see video below). So if you have access to a Windows computer or virtual machine, this may provide a workaround for the moment. Let me know if you experience any problems with that.

http://www.bci2000.org/wiki/index.php/C ... ons:Emotiv
https://www.youtube.com/watch?v=08GNE6OdNcs

Regards, Peter

Aphina
Posts: 4
Joined: 11 Feb 2015, 03:30

Re: Problems with compile to ubuntu

Post by Aphina » 13 Feb 2015, 07:45

I have sdk and drivers only for Linux.

pbrunner
Posts: 344
Joined: 17 Sep 2010, 12:43

Re: Problems with compile to ubuntu

Post by pbrunner » 13 Feb 2015, 15:12

Aphina,

I checked with the Emotiv website, and indeed only one platform is included with the purchase of the SDK. As the linux compilation error will remain a known issue until after the binary release of BCI2000 v3.6, I can only recommend you to either try to exchange your license to a Windows version, or to get a Windows version of the license in addition [1]. The additional license would for the Emotive SDK for another platform is $99.95. As the support for the Windows platform should work out of the box, this might be a reasonable investment.

Regards, Peter

[1] http://www.emotiv.com/store/epoc-upgrade/

Post Reply

Who is online

Users browsing this forum: No registered users and 2 guests